## com.baidubce.services.sms.model
Class DeleteTemplateRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.ses.model.SesRequest
              com.baidubce.services.sms.model.DeleteTemplateRequest

    public class DeleteTemplateRequest

extends SesRequest

Constructor Summary
`DeleteTemplateRequest()`

Method Summary
`String` `getTemplateId()`
`void` `setTemplateId(String templateId)`
`String` `toString()`
`DeleteTemplateRequest` `withTemplateId(String templateId)`

Methods inherited from class com.baidubce.services.ses.model.SesRequest
`getRequestCredentials, setRequestCredentials, withRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DeleteTemplateRequest

    public DeleteTemplateRequest()

Method Detail

### withTemplateId

    public DeleteTemplateRequest withTemplateId(String templateId)

### getTemplateId

    public String getTemplateId()

### setTemplateId

    public void setTemplateId(String templateId)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.